Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.management.j2ee
Class Servlet

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.management.j2ee.J2EEManagedObject
                  org.jboss.management.j2ee.Servlet

All Implemented Interfaces:
  J2EEManagedObjectMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, Serializable, org.jboss.system.Service, org.jboss.system.ServiceMBean, ServletMBean, StatisticsProvider

public class Servlet
extends J2EEManagedObject
implements ServletMBean

The JBoss JSR-77.3.17 Servlet model implementation

Version:
  $Revision: 1.10 $
Author:
  Andreas Schaefer., Scott.Stark@jboss.org, thomas.diesler@jboss.org
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jboss.management.j2ee.J2EEManagedObject
`NAME, TYPE`

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`Servlet(javax.management.ObjectName servletServiceName, javax.management.ObjectName webModuleName, javax.management.ObjectName webContainerName)`

Method Summary
`static javax.management.ObjectName` | `create(javax.management.MBeanServer mbeanServer, javax.management.ObjectName webModuleName, javax.management.ObjectName webContainerName, javax.management.ObjectName servletServiceName)` Create a JSR77 Servlet submodel.
`static void` | `destroy(javax.management.MBeanServer mbeanServer, javax.management.ObjectName jsr77Name)`
`protected Hashtable` | `getParentKeys(javax.management.ObjectName pParent)` This method can be overwritten by any subclass which must return <parent-j2eeType> indicating its parents.
`javax.management.j2ee.statistics.Stats` | `getstats()` StatisticsProvider access to stats.
`void` | `resetStats()` Called to resetStats all statistics in the provider
`String` | `toString()`

Methods inherited from class org.jboss.management.j2ee.J2EEManagedObject
`addChild, getobjectName, getObjectName, getObjectName, getparent, getType, getType, iseventProvider, isstateManageable, isstatisticsProvider, newObjectName, postCreation, postRegister, preDeregister, preDestruction, removeChild, removeObject, removeObject, sendNotification, setparent`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`create, createService, destroy, destroyService, getLog, getName, getNextNotificationSequenceNumber, getServer, getServiceName, getState, getStateString, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, preRegister, start, startService, stop, stopService`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jboss.management.j2ee.J2EEManagedObjectMBean
`addChild, getobjectName, getparent, iseventProvider, isstateManageable, isstatisticsProvider, removeChild, setparent`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Constructor Detail

### Servlet

    public Servlet(javax.management.ObjectName servletServiceName,
                   javax.management.ObjectName webModuleName,
                   javax.management.ObjectName webContainerName)
            throws javax.management.MalformedObjectNameException,
                   InvalidParentException

Throws:
  `InvalidParameterException` - If list of nodes or ports was null or empty
  `javax.management.MalformedObjectNameException`
  `InvalidParentException`

Method Detail

### create

    public static javax.management.ObjectName create(javax.management.MBeanServer mbeanServer,
                                                     javax.management.ObjectName webModuleName,
                                                     javax.management.ObjectName webContainerName,
                                                     javax.management.ObjectName servletServiceName)

  Create a JSR77 Servlet submodel.

  Parameters:
    `mbeanServer` - the MBeanServer to use for mbean creation
    `webModuleName` - the name of the JSR77 web module mbean
    `webContainerName` - the name of the JBoss web container mbean
  Returns:
    the ObjectName of the JSR77 Servlet mbean

### destroy

    public static void destroy(javax.management.MBeanServer mbeanServer,
                               javax.management.ObjectName jsr77Name)

### getstats

    public javax.management.j2ee.statistics.Stats getstats()

  StatisticsProvider access to stats.

  Specified by:
    `getstats` in interface `ServletMBean`
  Returns:
    A ServletStats implementation

### resetStats

    public void resetStats()

  Description copied from interface: `StatisticsProvider`
  Called to resetStats all statistics in the provider

  Specified by:
    `resetStats` in interface `StatisticsProvider`

### toString

    public String toString()

  Overrides:
    `toString` in class `J2EEManagedObject`

### getParentKeys

    protected Hashtable getParentKeys(javax.management.ObjectName pParent)

  Description copied from class: `J2EEManagedObject`
  This method can be overwritten by any subclass which must return <parent-j2eeType> indicating its parents. By default it returns an empty hashtable instance.

  Overrides:
    `getParentKeys` in class `J2EEManagedObject`
  Parameters:
    `pParent` - The direct parent of this class
  Returns:
    A hashtable with the Web-Module, J2EE-Application and J2EE-Server as parent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.